# Class CalendarQuery

java.lang.Object
com.codename1.calendar.CalendarQuery

public class CalendarQuery extends Object
Query options shared by event and task listing operations.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CalendarQuery()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCalendarId()`
  `Instant`
  `getEndTime()`
  `int`
  `getPageSize()`
  `String`
  `getPageToken()`
  `Instant`
  `getStartTime()`
  `String`
  `getSyncToken()`
  `String`
  `getText()`
  `boolean`
  `isExpandRecurrences()`
  `boolean`
  `isIncludeDeleted()`
  `CalendarQuery`
  `setCalendarId(String v)`
  `CalendarQuery`
  `setEndTime(Instant v)`
  `CalendarQuery`
  `setExpandRecurrences(boolean v)`
  `CalendarQuery`
  `setIncludeDeleted(boolean v)`
  `CalendarQuery`
  `setPageSize(int v)`
  `CalendarQuery`
  `setPageToken(String v)`
  `CalendarQuery`
  `setStartTime(Instant v)`
  `CalendarQuery`
  `setSyncToken(String v)`
  `CalendarQuery`
  `setText(String v)`

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CalendarQuery

    public CalendarQuery()

- ## Method Details

  - ### getCalendarId

    public String getCalendarId()

  - ### setCalendarId

    public CalendarQuery setCalendarId(String v)

  - ### getText

    public String getText()

  - ### setText

    public CalendarQuery setText(String v)

  - ### getPageToken

    public String getPageToken()

  - ### setPageToken

    public CalendarQuery setPageToken(String v)

  - ### getSyncToken

    public String getSyncToken()

  - ### setSyncToken

    public CalendarQuery setSyncToken(String v)

  - ### getStartTime

    public Instant getStartTime()

  - ### setStartTime

    public CalendarQuery setStartTime(Instant v)

  - ### getEndTime

    public Instant getEndTime()

  - ### setEndTime

    public CalendarQuery setEndTime(Instant v)

  - ### getPageSize

    public int getPageSize()

  - ### setPageSize

    public CalendarQuery setPageSize(int v)

  - ### isExpandRecurrences

    public boolean isExpandRecurrences()

  - ### setExpandRecurrences

    public CalendarQuery setExpandRecurrences(boolean v)

  - ### isIncludeDeleted

    public boolean isIncludeDeleted()

  - ### setIncludeDeleted

    public CalendarQuery setIncludeDeleted(boolean v)